Package org.eclipse.wst.xsl.core.internal.parser.regions

## org.eclipse.wst.xsl.core.internal.parser.regions
Class XPathSeparatorRegion

    public class XPathSeparatorRegion
    extends java.lang.Object

## Constructor Summary

`XPathSeparatorRegion()`
`XPathSeparatorRegion(int start , int textLength , int length)`

## Method Summary

`public void` | `adjustLength(int i)`
`public void` | `adjustStart(int i)`
`public void` | `adjustTextLength(int i)`
`public void` | `equatePositions(ITextRegion region)`
`public int` | `getEnd()`
`public int` | `getLength()`
`public int` | `getStart()`
`public int` | `getTextEnd()`
`public int` | `getTextLength()`
`public java.lang.String` | `getType()`
`public java.lang.String` | `toString()`
`public StructuredDocumentEvent` | `updateRegion(java.lang.Object requester , IStructuredDocumentRegion parent , java.lang.String changes , int requestStart , int lengthToReplace)`

## Constructor Detail

## XPathSeparatorRegion

`public XPathSeparatorRegion()`

## XPathSeparatorRegion

`public XPathSeparatorRegion(int start , int textLength , int length)`

## Methods Detail

## adjustLength

`public void adjustLength(int i)`

### Parameters

`i`

## adjustStart

`public void adjustStart(int i)`

### Parameters

`i`

## adjustTextLength

`public void adjustTextLength(int i)`

### Parameters

`i`

## equatePositions

`public void equatePositions(ITextRegion region)`

### Parameters

`region`

## getEnd

`public int getEnd()`

### Returns

`int`

## getLength

`public int getLength()`

### Returns

`int`

## getStart

`public int getStart()`

### Returns

`int`

## getTextEnd

`public int getTextEnd()`

### Returns

`int`

## getTextLength

`public int getTextLength()`

### Returns

`int`

## getType

`public java.lang.String getType()`

### Returns

`java.lang.String`

## toString

`public java.lang.String toString()`

### Returns

`java.lang.String`

## updateRegion

`public StructuredDocumentEvent updateRegion(java.lang.Object requester , IStructuredDocumentRegion parent , java.lang.String changes , int requestStart , int lengthToReplace)`

### Parameters

`requester`

`parent`

`changes`

`requestStart`

`lengthToReplace`

### Returns

`StructuredDocumentEvent`